# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.ObjectCreateBase
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.ObjectCreateBase
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.ObjectCreateBase

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

o

net.psforever.packet.game.objectcreate

# ObjectCreateBase

###

#### object ObjectCreateBase

Source
  ObjectCreateBase.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ObjectCreateBase
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  val baseCodec: Codec[basePattern]

   `Codec` for handling the primary fields of both `ObjectCreateMessage` packets and `ObjectCreateDetailedMessage` packets.

6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  def decodeData(objectClass: Int, data: BitVector, getCodecFunc: (Int) => Codec[ConstructorData]): Attempt[ConstructorData]

   Take bit data and transform it into an object that expresses the important information of a game piece.

   Take bit data and transform it into an object that expresses the important information of a game piece. This function is fail-safe because it catches errors involving bad parsing of the bitstream data. Generally, the `Exception` messages themselves are not useful here. The important parts are what the packet thought the object class should be and what it actually processed.

   objectClass

     the code for the type of object being constructed

   data

     the bitstream data

   getCodecFunc

     a lookup function that returns a `Codec` for this object class

   returns

     the optional constructed object

   See also

     `ObjectClass`

8.  def encodeData(objectClass: Int, obj: ConstructorData, getCodecFunc: (Int) => Codec[ConstructorData]): Attempt[BitVector]

   Take the important information of a game piece and transform it into bit data.

   Take the important information of a game piece and transform it into bit data. This function is fail-safe because it catches errors involving bad parsing of the object data. Generally, the `Exception` messages themselves are not useful here.

   objectClass

     the code for the type of object being deconstructed

   obj

     the object data

   getCodecFunc

     a lookup function that returns a `Codec` for this object class

   returns

     the bitstream data

   See also

     `ObjectClass`

9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  def streamLen(parentInfo: Option[ObjectCreateMessageParent], data: StreamBitSize): Long

    Calculate the stream length in number of bits by factoring in the whole message in two portions.

    Calculate the stream length in number of bits by factoring in the whole message in two portions. This process automates for: object encoding.
    Ignoring the parent data, constant field lengths have already been factored into the results. That includes: the length of the stream length field (32u), the object's class (11u), the object's GUID (16u), and the bit to determine if there will be parent data. In total, these fields form a known fixed length of 60u.

    parentInfo

      if defined, the relationship between this object and another object (its parent); information about the parent adds either 24u or 32u

    data

      if defined, the data used to construct this type of object; the data length is indeterminate until it is walked-through; note: the type is `StreamBitSize` as opposed to `ConstructorData`

    returns

      the total length of the resulting data stream in bits

19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped